none
Could Not Find The Provider 'LightSwitchApplication' error, My IIS seems to be configured correctly

    Question

  • Hello all, I am trying to deploy this appliaction locally to my machine via a package.  I have all the LS prerequisites installed as I used WMI installer 3.0.  I have web deployment 1.1 and 2.0 installed as well. (I even uninstalled, rebooted and reinstalled them again)

    When I created my package for publishing, I checked the box that says "IIS server has the LS deployment prerequisites installed" because I am using form authentication and need to create the administrator user when I install the app to my IIS server.

    Any ideas on how I can fix this issue?  Do I need to uninstall IIS and start all over?  If I uncheck the above box, it deploys fine but then I cannot access the app because there is no admin user created.

    any help is really appreciated.


    • Edited by Dbdmora Tuesday, April 10, 2012 6:00 PM
    Tuesday, April 10, 2012 6:00 PM

Answers

  • if anyone was curious, I had to uninstall "Web Deployment 2.0" from control panel-->Program and features and I was able to install without a problem.
    • Edited by Dbdmora Wednesday, April 11, 2012 2:45 AM
    • Marked as answer by Dbdmora Wednesday, April 11, 2012 2:45 AM
    Wednesday, April 11, 2012 2:45 AM

All replies

  • if anyone was curious, I had to uninstall "Web Deployment 2.0" from control panel-->Program and features and I was able to install without a problem.
    • Edited by Dbdmora Wednesday, April 11, 2012 2:45 AM
    • Marked as answer by Dbdmora Wednesday, April 11, 2012 2:45 AM
    Wednesday, April 11, 2012 2:45 AM
  • Hi, thanks for sharing. Your post will help others encountered the same issue, thanks for sharing again.
    Thursday, April 12, 2012 9:48 AM
    Moderator
  • I have been beating my head on this for an entire day, thanks!  It is only working for manual deployment(using a zip) but at least it is working!
    Monday, June 04, 2012 10:40 PM
  • Thanks Dbdmora, it worked!

    I am wondering though if installing the new Web Deployment 2.1 would fix the problem...

    Thursday, July 12, 2012 7:30 PM
  • I'm glad you found a solution! The other way you *could* have done it, just for the sake of knowing extra options, would have been to leave the "IIS server has the LS deployment prerequisites installed" checkbox unticked, then used SecurityAdmin.exe to create the administrative user. That's really all the "prerequisites" are doing for you anyway.

    Yann - LightSwitch Central - Click here for FREE Themes, Controls, Types and Commands
     
    If you find a reply helpful, please click "Vote as Helpful", if a reply answers your question, please click "Mark as Answer"
     
    By doing this you'll help people find answers faster.

    Friday, July 13, 2012 12:19 AM
    Moderator